/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package algoritmobr;
/**
 * @author Joel
 * @author Cristian
 */
public class arista {
    private vertice desde;
    private vertice hasta;
    private double pendiente;
    
    public arista(){
    
    }
    
    public arista(vertice d, vertice h){
             this.desde = d;
             this.hasta = h;
    }
    public void setArista(arista X){
        this.setArista(X.desde, X.hasta);
    }
    
    public void setArista(vertice d, vertice h)
    {
        this.desde = d;
        this.hasta = h;
        this.pendiente = m(desde,hasta);
    }
    public void setDesde(vertice d)
    {
        this.desde=d;
        //this.pendiente = m(desde,hasta);
    }
    public void setHasta(vertice h)
    {
        this.hasta=h;
        //this.pendiente = m(desde,hasta);
    }
    
    
    public vertice getDesde()
    {
        return desde;
    }
    public vertice getHasta()
    {
        return hasta;
    }
    public double getM()
    {
        this.pendiente = m(desde,hasta);
        return pendiente;
    }
    
    
    
    public double m(vertice p1, vertice p2)
    {
        double m = 0;
        if(p2.getX()-p1.getX()!=0)
            m=(double)( (p2.getY()-p1.getY())/(p2.getX()-p1.getX()) );
        else
            m=Double.POSITIVE_INFINITY;
        if(m == -0 || m== 0) m= 0;
        
        return m;
    }
    
    public String toString()
         {
             return "["+desde.toString()+"-"+hasta.toString()+"]";
         }
}
